### Method

# SpiceClientGLib SmartcardManager get_readers

since: 0.20

#### Declaration [src]

    GList*
    spice_smartcard_manager_get_readers (
      SpiceSmartcardManager* manager
    )

#### Description [src]

Gets the list of smartcard readers that are currently available, they can be either software (emulated) readers, or hardware ones.

Available since: 0.20

#### Return value

Type: A list of `None`

A newly allocated list of SpiceSmartcardReader instances, or NULL if none were found. When no longer needed, the list must be freed after unreferencing its elements with g_boxed_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.